Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPPolyDataNormals Class Reference

`#include <vtkPPolyDataNormals.h>`

Inheritance diagram for vtkPPolyDataNormals:

[legend]
Collaboration diagram for vtkPPolyDataNormals:

[legend]
List of all members.

## Detailed Description

compute normals for polygonal mesh

Date:
  2002/01/22 15:34:49

Revision:
  1.7

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (67%)
  - Law, Charles (28%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkPPolyDataNormals.cxx)`
  - .`h` (`/Parallel/vtkPPolyDataNormals.h)`

Definition at line 40 of file vtkPPolyDataNormals.h.

## Public Types
typedef vtkPolyDataNormals | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPieceInvariant (int)
virtual int | GetPieceInvariant ()
virtual void | PieceInvariantOn ()
virtual void | PieceInvariantOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPPolyDataNormals * | SafeDownCast (vtkObject *o)
vtkPPolyDataNormals * | New ()
## Protected Methods
| vtkPPolyDataNormals ()
| ~vtkPPolyDataNormals ()
virtual void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | PieceInvariant

## Member Typedef Documentation

typedef vtkPolyDataNormals vtkPPolyDataNormals::Superclass

| Reimplemented from vtkPolyDataNormals. Definition at line 43 of file vtkPPolyDataNormals.h.

## Constructor & Destructor Documentation

vtkPPolyDataNormals::vtkPPolyDataNormals | ( |  | ) | `[protected]`

vtkPPolyDataNormals::~vtkPPolyDataNormals | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkPPolyDataNormals.h.

## Member Function Documentation

virtual const char* vtkPPolyDataNormals::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataNormals.

int vtkPPolyDataNormals::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataNormals.

virtual int vtkPPolyDataNormals::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataNormals.

vtkPPolyDataNormals* vtkPPolyDataNormals::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataNormals.

void vtkPPolyDataNormals::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataNormals.

vtkPPolyDataNormals* vtkPPolyDataNormals::New | ( |  | ) | `[static]`

| Construct with feature angle=30, splitting and consistency turned on, flipNormals turned off, and non-manifold traversal turned on. ComputePointNormals is on and ComputeCellNormals is off. Reimplemented from vtkPolyDataNormals.

virtual void vtkPPolyDataNormals::SetPieceInvariant | ( | int |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual int vtkPPolyDataNormals::GetPieceInvariant | ( |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual void vtkPPolyDataNormals::PieceInvariantOn | ( |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual void vtkPPolyDataNormals::PieceInvariantOff | ( |  | ) | `[virtual]`

| To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.

virtual void vtkPPolyDataNormals::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkPolyDataNormals.

void vtkPPolyDataNormals::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

## Member Data Documentation

int vtkPPolyDataNormals::PieceInvariant`[protected]`

| Definition at line 64 of file vtkPPolyDataNormals.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPPolyDataNormals.h